/*Button action*/
.dt-button {
  display: inline-block;
  font-weight: 400;
  color: #212529;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: .25rem;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.buttons-html5,
.buttons-print {
  color: #fff;
  background-color: #6c757d;
  border-color: #6c757d;
  box-shadow: none;
}

/*Image upload*/
.image-preview-area,
.logo-preview-area {
  display: inline-block;
  position: relative;
}

.image-preview-area .image-preview,
.logo-preview-area .logo-preview {
  margin-top: 10px;
  display: inline-block;
  width: 142px;
  height: 140px;
  /*background-color: #A8A8A8;*/
  /*border: 1px solid #eee;*/
}

.image-preview-area .image-preview img,
.logo-preview-area .logo-preview img {
  /*border: 1px solid #eee;*/
  width: 140px;
}

.image-preview-verify,
.image-preview-verify img,
.logo-preview-verify,
.logo-preview-verify img {
  margin-top: 10px;
  position: relative;
}

.image-preview-verify img,
.logo-preview-verify img {
  z-index: 101;
}

.image-preview-verify img:first-child,
.logo-preview-verify img:first-child {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 100;
}

.image-preview-area .delete-image-preview,
.logo-preview-area .delete-logo-preview {
  background-color: #fff;
  line-height: 1em;
  font-size: 1.2em;
  position: absolute;
  top: 20px;
  right: 10px;
  display: none;
  cursor: pointer;
}

.image-preview-area .delete-image-preview.show,
.logo-preview-area .delete-logo-preview.show {
  display: inline-block;
}

.image-preview-area .delete-image-preview i,
.logo-preview-area .delete-logo-preview i {
  border: solid 1px #fff;
  box-shadow: 0 0 8px #fff
}

.image-upload-label,
.logo-upload-label {
  color: #d9534f;
  display: block;
}

.reload {
  width: 100%;
  height: 140vw;
  position: absolute;
  z-index: 9999999999999;
  /*background: #FFF url(https://media.tenor.com/YPOStjIfQ2IAAAAM/loading-waiting.gif) no-repeat fixed center;*/
  opacity: 0.9;
}

.hide {
  display: none;
}

.datepicker-dropdown {
  z-index: 9999999999999999 !important;
}

#map-canvas {
  width: auto;
  height: 500px;
  border: 5px solid #d0e7ff;
}

.datatables-margin-t45 {
  margin-top: 45px;
}

.swal2-input {
  margin: 0.3em auto !important;
}

.button-map {
  margin-bottom: 10px;
}

.img-thumbnail {
  width: 160px !important;
}

/*AdminLTE*/
.main-sidebar {
  left: unset!important;
  right: 0!important;
}

@media (min-width: 992px) {
  .sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
    margin-right: 4.6rem !important;
    margin-left: unset!important;
  }
}
@media (min-width: 768px) {
  body:not(.sidebar-mini-md) .content-wrapper, body:not(.sidebar-mini-md) .main-footer, body:not(.sidebar-mini-md) .main-header {
    transition: margin-right .3s ease-in-out;
    margin-right: 250px;
    margin-left: unset!important;
  }
  body:not(.sidebar-mini-md) .main-header {
    transition: margin-right .3s ease-in-out!important;
    margin-left:unset!important;
    margin-right: 250px!important;
  }
}
@media (max-width: 767.98px) {
  .main-sidebar, .main-sidebar::before {
    box-shadow: none !important;
    transition: margin-right .3s ease-in-out!important;
    margin-right: -250px!important;
    margin-left: unset!important;
  }
  .navbar-nav .dropdown-menu{
    position: absolute;
  }
}

@media (max-width: 767.98px) {
  .sidebar-open .main-sidebar, .sidebar-open .main-sidebar::before {
    margin-right: 0!important;
    transition: margin-right .3s ease-in-out!important;
  }
}

nav.mt-2{
  text-align: right!important;
}
.nav-link .fa{
  float:right;
  padding-left: 5px;
  margin-top: 4px;
}
i.fas.fa-angle-left.left {
  float: left;
}
li.nav-item{
  direction:rtl;
}

@media (min-width: 992px) {
  .fas.fa-angle-left{
    width:0;
  }
}
.rtl{
  direction: rtl!important;
}
.card-title{
  float: right!important;
}
.card-body{
  text-align: right!important;
}